Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Class AlleleConsequence

    java.lang.Object
      org.ensembl.datamodel.impl.PersistentImpl
          org.ensembl.datamodel.impl.LocatableImpl
              org.ensembl.variation.datamodel.AlleleConsequence

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Locatable, Persistent, java.io.Serializable

public class AlleleConsequence
extends org.ensembl.datamodel.impl.LocatableImpl

Represents part or all of the effect of a single allele on a transcript.

Author:
  Craig Melsopp
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DOWNSTREAM` Allele appears upstream of the transcript.
`static java.lang.String` | `ESSENTIAL_SPLICE_SITE` Allele hits the 1st or 2nd bases at the beginning or end of an intron.
`static java.lang.String` | `FIVE_PRIME_UTR` Allele affects the 5prime UTR.
`static java.lang.String` | `FRAMESHIFT_CODING` Allele causes a frameshift.
`static java.lang.String` | `INTRONIC` Allele appears within an intron.
`static java.lang.String` | `NON_SYNONYMOUS_CODING` Allele affects the peptide.
`static java.lang.String` | `SPLICE_SITE` Allele hits the 3rd, 4th, 5th, 6th, 7th or 8th bases at the start or end of an intron OR the 1st or 2nd bases of an exon (adjacent to an intron).
`static java.lang.String` | `STOP_GAINED` Allele causes a new stop codon.
`static java.lang.String` | `STOP_LOST` Allele causes the loss of a stop codon.
`static java.lang.String` | `SYNONYMOUS_CODING` Allele does not affect the peptide.
`static java.lang.String` | `THREE_PRIME_UTR` Allele affects the 3prim UTR.
`static java.lang.String` | `UPSTREAM` Allele appears upstream of the transcript.

Fields inherited from class org.ensembl.datamodel.impl.LocatableImpl
`sequence`

Fields inherited from class org.ensembl.datamodel.impl.PersistentImpl
`driver, internalID`

Constructor Summary
`AlleleConsequence(Location location, java.lang.String type, java.lang.String spliceSite)`

Method Summary
`java.lang.String` | `getSpliceSite()` Type of effect on splice site, if any.
`java.lang.String` | `getType()` Type of consequence.
`java.lang.String` | `toString()`

Methods inherited from class org.ensembl.datamodel.impl.LocatableImpl
`clone, compareTo, getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from class org.ensembl.datamodel.impl.PersistentImpl
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Field Detail

### UPSTREAM

    public static final java.lang.String UPSTREAM

  Allele appears upstream of the transcript.

  See Also:
    Constant Field Values

### DOWNSTREAM

    public static final java.lang.String DOWNSTREAM

  Allele appears upstream of the transcript.

  See Also:
    Constant Field Values

### INTRONIC

    public static final java.lang.String INTRONIC

  Allele appears within an intron.

  See Also:
    Constant Field Values

### STOP_GAINED

    public static final java.lang.String STOP_GAINED

  Allele causes a new stop codon.

  See Also:
    Constant Field Values

### STOP_LOST

    public static final java.lang.String STOP_LOST

  Allele causes the loss of a stop codon.

  See Also:
    Constant Field Values

### SYNONYMOUS_CODING

    public static final java.lang.String SYNONYMOUS_CODING

  Allele does not affect the peptide.

  See Also:
    Constant Field Values

### NON_SYNONYMOUS_CODING

    public static final java.lang.String NON_SYNONYMOUS_CODING

  Allele affects the peptide.

  See Also:
    Constant Field Values

### FRAMESHIFT_CODING

    public static final java.lang.String FRAMESHIFT_CODING

  Allele causes a frameshift.

  See Also:
    Constant Field Values

### FIVE_PRIME_UTR

    public static final java.lang.String FIVE_PRIME_UTR

  Allele affects the 5prime UTR.

  See Also:
    Constant Field Values

### THREE_PRIME_UTR

    public static final java.lang.String THREE_PRIME_UTR

  Allele affects the 3prim UTR.

  See Also:
    Constant Field Values

### SPLICE_SITE

    public static final java.lang.String SPLICE_SITE

  Allele hits the 3rd, 4th, 5th, 6th, 7th or 8th bases at the start or end of an intron OR the 1st or 2nd bases of an exon (adjacent to an intron).

  See Also:
    Constant Field Values

### ESSENTIAL_SPLICE_SITE

    public static final java.lang.String ESSENTIAL_SPLICE_SITE

  Allele hits the 1st or 2nd bases at the beginning or end of an intron.

  See Also:
    Constant Field Values

Constructor Detail

### AlleleConsequence

    public AlleleConsequence(Location location,
                             java.lang.String type,
                             java.lang.String spliceSite)

Method Detail

### getType

    public java.lang.String getType()

  Type of consequence. Legal values listed below.

  Returns:
    type of this consequence.
  See Also:
    `UPSTREAM`, `DOWNSTREAM`, `FRAMESHIFT_CODING`, `INTRONIC`, `NON_SYNONYMOUS_CODING`, `SYNONYMOUS_CODING`, `STOP_GAINED`, `STOP_LOST`, `FIVE_PRIME_UTR`, `THREE_PRIME_UTR`

### getSpliceSite

    public java.lang.String getSpliceSite()

  Type of effect on splice site, if any. See below for legal values.

  Returns:
    splice site, null if splice site unaffected by allele.
  See Also:
    `SPLICE_SITE`, `ESSENTIAL_SPLICE_SITE`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD